AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 8.11This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Get the data stream lifecycle configuration of one or more data streams.
If defined, every document added to this data stream will be stored at least for this time frame.
Any time after this duration the document could be deleted.
When empty, every document in this data stream will be stored indefinitely.
effective_retentionstring
The least amount of time data should be kept by elasticsearch.
retention_determined_byenum
Configuration source that can influence the retention of a data stream.
The list of downsampling rounds to execute as part of this downsampling configuration
afterstringrequired
The duration since rollover when this downsampling round should execute
fixed_intervalstringrequired
The downsample interval.
downsampling_methodenum
The method used to downsample the data. There are two options aggregate and last_value. It requires
downsampling to be defined. Defaults to aggregate.
Values:aggregatelast_value
enabledboolean · default: true
If defined, it turns data stream lifecycle on/off (true/false) for this data stream. A data stream lifecycle
that's disabled (enabled: false) will have no effect on the data stream.
frozen_afterstringThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 9.5This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
The period after which data stream backing indices are automatically converted to partially mounted searchable snapshots.
This field is valid only on main data stream lifecycles and cannot be set on failure-store lifecycles.
rolloverobject
The conditions which will trigger the rollover of a backing index as configured by the cluster setting cluster.lifecycle.default.rollover.
This property is an implementation detail and it will only be retrieved when the query param include_defaults is set to true.
The contents of this field are subject to change.